package com.kingdee.eas.custom.compensation;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class PerfForfeitSyncFactory
{
    private PerfForfeitSyncFactory()
    {
    }
    public static com.kingdee.eas.custom.compensation.IPerfForfeitSync getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.compensation.IPerfForfeitSync)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("B0E80B7C") ,com.kingdee.eas.custom.compensation.IPerfForfeitSync.class);
    }
    
    public static com.kingdee.eas.custom.compensation.IPerfForfeitSync getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.compensation.IPerfForfeitSync)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("B0E80B7C") ,com.kingdee.eas.custom.compensation.IPerfForfeitSync.class, objectCtx);
    }
    public static com.kingdee.eas.custom.compensation.IPerfForfeitSync getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.compensation.IPerfForfeitSync)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("B0E80B7C"));
    }
    public static com.kingdee.eas.custom.compensation.IPerfForfeitSync getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.compensation.IPerfForfeitSync)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("B0E80B7C"));
    }
}